Remove from group¶
DELETE/
Endpoint API · Endpoint Groups Management
Remove endpoints from a group.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
groupId | path | string (uuid) | Yes | Endpoint group ID. |
ids | query | array of string (uuid) | No | Endpoint IDs. Must contain at most 50 items. Items must be unique. |
Request samples¶
curl -X DELETE "https://api-<data-region>.central.sophos.com/endpoint/v1/endpoint-groups/<groupId>/endpoints" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"
import requests
response = requests.delete(
"https://api-<data-region>.central.sophos.com/endpoint/v1/endpoint-groups/<groupId>/endpoints",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method DELETE -Uri "https://api-<data-region>.central.sophos.com/endpoint/v1/endpoint-groups/<groupId>/endpoints" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("DELETE", "https://api-<data-region>.central.sophos.com/endpoint/v1/endpoint-groups/<groupId>/endpoints", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/endpoint/v1/endpoint-groups/<groupId>/endpoints", {
method: "DELETE",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — Endpoints removed from group.¶
Response fields
removedEndpointsarray of objectReference to an endpoint.
Show child attributesHide child attributes
idstring (uuid)requiredUnique endpoint ID.
hostnamestringEndpoint hostname.
errorsobjectCan't remove endpoints from a group.
Show child attributesHide child attributes
endpointsNotFoundarray of string (uuid)Errors¶
| Status | Meaning |
|---|---|
500 | Internal server error. |
All error responses share the same shape — see the error response object.
See the guide for a narrative walkthrough of this API.